Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457934 (CVE-2008-2370) - CVE-2008-2370 tomcat RequestDispatcher information disclosure vulnerability
Summary: CVE-2008-2370 tomcat RequestDispatcher information disclosure vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-2370
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 458088 458089 458097 458099 458100 458443 458444 458445 458634 458635 460125 460126 460127 460131 460132 470238 470239
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-05 16:03 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-03 06:52:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0648 0 normal SHIPPED_LIVE Important: tomcat security update 2008-08-27 17:13:49 UTC
Red Hat Product Errata RHSA-2008:0862 0 normal SHIPPED_LIVE Important: tomcat security update 2008-10-02 14:03:32 UTC
Red Hat Product Errata RHSA-2008:0864 0 normal SHIPPED_LIVE Important: tomcat security update 2008-10-02 14:02:59 UTC
Red Hat Product Errata RHSA-2008:0877 0 normal SHIPPED_LIVE Important: jbossweb security update 2008-09-22 13:32:27 UTC
Red Hat Product Errata RHSA-2008:1007 0 normal SHIPPED_LIVE Low: tomcat security update for Red Hat Network Satellite Server 2008-12-08 09:02:54 UTC
Red Hat Product Errata RHSA-2010:0602 0 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Marc Schoenefeld 2008-08-05 16:03:59 UTC
When using a RequestDispatcher the target path was normalised before the
query string was removed. A request that included a specially crafted
request parameter could be used to access content that would otherwise be
protected by a security constraint or by locating it in under the WEB-INF
directory.

Comment 1 Marc Schoenefeld 2008-08-05 16:05:19 UTC
Patch for Tomcat 5.5.x available upstream:

http://svn.apache.org/viewvc?rev=680949&view=rev

Comment 2 Marc Schoenefeld 2008-08-05 16:07:41 UTC
Example:

For a page that contains:
<%
pageContext.forward("/page2.jsp?somepar=someval&par="+request.getParameter("blah"));
%>
an attacker can use:
http://host/page.jsp?blah=/../WEB-INF/web.xml

Comment 11 Fedora Update System 2008-09-05 17:10:43 UTC
tomcat6-6.0.18-1.1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tomcat6-6.0.18-1.1.fc9

Comment 12 Fedora Update System 2008-09-11 17:17:10 UTC
tomcat6-6.0.18-1.1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-09-15 18:12:18 UTC
tomcat5-5.5.27-0jpp.1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.1.fc8

Comment 14 Fedora Update System 2008-09-15 20:13:56 UTC
tomcat5-5.5.27-0jpp.2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.2.fc9

Comment 15 Fedora Update System 2008-09-15 20:16:27 UTC
tomcat5-5.5.27-0jpp.2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.2.fc8

Comment 16 Fedora Update System 2008-09-16 23:24:58 UTC
tomcat5-5.5.27-0jpp.2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2008-09-16 23:28:24 UTC
tomcat5-5.5.27-0jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 errata-xmlrpc 2010-08-04 21:30:58 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.